/**
 * api
*/
import { Tr } from 'pi_ucore/db/mgr';
import { rcdActivityInitialV } from "game_activity_initial_value/api";
import { getTotalV } from "game_recharge_server/api";
/**
 * @name 初始化转盘需要用到的初始值
 * 
 * @param tr        事务对象
 * @param rid       角色ID
 * @param actID     组ID
*/
export const initStartValue = async (tr: Tr, rid: number, rouletteID: number) => {
    let key = `${rid}_${rouletteID}`;
    let payV = await getTotalV(tr, rid);
    await rcdActivityInitialV(tr, rid, key, payV, false);
    return "OK";
}